Skip to content

Area: Developers

POST

Check whether an email has a consent history

Path
/subscribe/check
Auth
Access token · browser or app
POST
/subscribe/check
curl --request POST \
--url https://releva.ai/api/v0/subscribe/check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "email": "maria@example.com" }'

Returns subscribed: true when the email has ever been subscribed or unsubscribed in your shop (the same test as rejectAlreadySubscribed). Limited to 30 requests per 15 minutes per IP.

Media typeapplication/json
object
email
required
string format: email

Example

{
"email": "maria@example.com"
}

Result.

Media typeapplication/json
object
subscribed
required
boolean

Example

{
"subscribed": true
}

Authentication or validation error.

Media typeapplication/json
object
message
required

Human-readable error. Several validation errors are joined with a space.

string

Example

{
"message": "The 'email' field is required."
}

The domain is disabled.

Media typeapplication/json
object
message
required

Human-readable error. Several validation errors are joined with a space.

string

Example

{
"message": "Domain is disabled. Please reach out to support@releva.ai to enable it."
}

Too many requests from this IP.